Page MenuHomePhabricator

Autogenerated edit-summaries should be in content-language
Closed, ResolvedPublic1 Story Points

Description

Currently prefilled edit summary for the template-replacements is in importer's interface language. I suppose wiki content language (English for Commons) would be preferrable instead.

Originally reported here by @Pikne.

Acceptance Criteria

  • Prefilled edit summaries for the template replacements should bin in the target wiki's content language, since this is where the edit summaries will actually be read.

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterUse content language for the auto summary

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 2 2018, 11:35 AM
awight added a subscriber: awight.May 10 2019, 10:15 AM

@Lea_WMDE please leave a note here once you can confirm that the requested behavior is what we want.

Lea_WMDE triaged this task as Medium priority.May 14 2019, 10:04 AM
Lea_WMDE updated the task description. (Show Details)

confirmed!

thiemowmde set the point value for this task to 5.May 15 2019, 2:10 PM

Change 512649 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] Use content language for the auto summary

https://gerrit.wikimedia.org/r/512649

WMDE-Fisch changed the point value for this task from 5 to 1.

Change 512649 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Use content language for the auto summary

https://gerrit.wikimedia.org/r/512649

Lea_WMDE closed this task as Resolved.Jun 3 2019, 9:38 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-05-29 board.